GNU bug report logs - #27555
cygwin surrogate-pair test now fails (since grep-2.22, and no one noticed)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Severity: minor; Reported by: Jim Meyering <jim@HIDDEN>; merged with #49983, #51698; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for grep is bug-grep@HIDDEN.
Removed tag(s) moreinfo. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27555-done <at> debbugs.gnu.org:


Received: (at 27555-done) by debbugs.gnu.org; 24 Nov 2021 02:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 21:35:02 2021
Received: from localhost ([127.0.0.1]:52606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpi7h-000052-PO
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 21:35:02 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mpi7e-0008WH-NX
 for 27555-done <at> debbugs.gnu.org; Tue, 23 Nov 2021 21:35:00 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 613561600D3;
 Tue, 23 Nov 2021 18:34:53 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id IjoRXZp9Lfkp; Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 98A2E1600EF;
 Tue, 23 Nov 2021 18:34:51 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id aR6a5aAqUW7y; Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Received: from [131.179.64.200] (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 72F171600D3;
 Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Content-Type: multipart/mixed; boundary="------------0O1QfgvOYJaVGVFWYBQTXPgN"
Message-ID: <32d817a3-4dd3-113a-addd-69f56174ef2f@HIDDEN>
Date: Tue, 23 Nov 2021 18:34:51 -0800
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.0
Subject: Re: [PATCH 1/1] tests: make surrogate-pair pass under Cygwin
Content-Language: en-US
To: Duncan Roe <duncan_roe@HIDDEN>
References: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
 <20211124013143.26727-2-duncan_roe@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
In-Reply-To: <20211124013143.26727-2-duncan_roe@HIDDEN>
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 27555-done
Cc: 27555-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

This is a multi-part message in MIME format.
--------------0O1QfgvOYJaVGVFWYBQTXPgN
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

I installed the attached fancier patch instead; please give it a try.

I'm boldly marking the bug as fixed; we can unmark it later if I'm wrong.
--------------0O1QfgvOYJaVGVFWYBQTXPgN
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-tests-skip-surrogate-search-test-on-Cygwin.patch"
Content-Disposition: attachment;
 filename="0001-tests-skip-surrogate-search-test-on-Cygwin.patch"
Content-Transfer-Encoding: base64
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--------------0O1QfgvOYJaVGVFWYBQTXPgN--





Notification sent to Duncan Roe <duncan_roe@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 27555-done <at> debbugs.gnu.org:


Received: (at 27555-done) by debbugs.gnu.org; 24 Nov 2021 02:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 21:35:02 2021
Received: from localhost ([127.0.0.1]:52606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpi7h-000052-PO
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 21:35:02 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mpi7e-0008WH-NX
 for 27555-done <at> debbugs.gnu.org; Tue, 23 Nov 2021 21:35:00 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 613561600D3;
 Tue, 23 Nov 2021 18:34:53 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id IjoRXZp9Lfkp; Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 98A2E1600EF;
 Tue, 23 Nov 2021 18:34:51 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id aR6a5aAqUW7y; Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Received: from [131.179.64.200] (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 72F171600D3;
 Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Content-Type: multipart/mixed; boundary="------------0O1QfgvOYJaVGVFWYBQTXPgN"
Message-ID: <32d817a3-4dd3-113a-addd-69f56174ef2f@HIDDEN>
Date: Tue, 23 Nov 2021 18:34:51 -0800
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.0
Subject: Re: [PATCH 1/1] tests: make surrogate-pair pass under Cygwin
Content-Language: en-US
To: Duncan Roe <duncan_roe@HIDDEN>
References: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
 <20211124013143.26727-2-duncan_roe@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
In-Reply-To: <20211124013143.26727-2-duncan_roe@HIDDEN>
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 27555-done
Cc: 27555-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

This is a multi-part message in MIME format.
--------------0O1QfgvOYJaVGVFWYBQTXPgN
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

I installed the attached fancier patch instead; please give it a try.

I'm boldly marking the bug as fixed; we can unmark it later if I'm wrong.
--------------0O1QfgvOYJaVGVFWYBQTXPgN
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-tests-skip-surrogate-search-test-on-Cygwin.patch"
Content-Disposition: attachment;
 filename="0001-tests-skip-surrogate-search-test-on-Cygwin.patch"
Content-Transfer-Encoding: base64
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--------------0O1QfgvOYJaVGVFWYBQTXPgN--





Notification sent to Gary Johnson <garyjohn@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 27555-done <at> debbugs.gnu.org:


Received: (at 27555-done) by debbugs.gnu.org; 24 Nov 2021 02:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 21:35:02 2021
Received: from localhost ([127.0.0.1]:52606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpi7h-000052-PO
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 21:35:02 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mpi7e-0008WH-NX
 for 27555-done <at> debbugs.gnu.org; Tue, 23 Nov 2021 21:35:00 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 613561600D3;
 Tue, 23 Nov 2021 18:34:53 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id IjoRXZp9Lfkp; Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 98A2E1600EF;
 Tue, 23 Nov 2021 18:34:51 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id aR6a5aAqUW7y; Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Received: from [131.179.64.200] (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 72F171600D3;
 Tue, 23 Nov 2021 18:34:51 -0800 (PST)
Content-Type: multipart/mixed; boundary="------------0O1QfgvOYJaVGVFWYBQTXPgN"
Message-ID: <32d817a3-4dd3-113a-addd-69f56174ef2f@HIDDEN>
Date: Tue, 23 Nov 2021 18:34:51 -0800
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.0
Subject: Re: [PATCH 1/1] tests: make surrogate-pair pass under Cygwin
Content-Language: en-US
To: Duncan Roe <duncan_roe@HIDDEN>
References: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
 <20211124013143.26727-2-duncan_roe@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
In-Reply-To: <20211124013143.26727-2-duncan_roe@HIDDEN>
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 27555-done
Cc: 27555-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

This is a multi-part message in MIME format.
--------------0O1QfgvOYJaVGVFWYBQTXPgN
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

I installed the attached fancier patch instead; please give it a try.

I'm boldly marking the bug as fixed; we can unmark it later if I'm wrong.
--------------0O1QfgvOYJaVGVFWYBQTXPgN
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-tests-skip-surrogate-search-test-on-Cygwin.patch"
Content-Disposition: attachment;
 filename="0001-tests-skip-surrogate-search-test-on-Cygwin.patch"
Content-Transfer-Encoding: base64
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--------------0O1QfgvOYJaVGVFWYBQTXPgN--





Notification sent to Jim Meyering <jim@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.
Merged 27555 49983 51698. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27555 <at> debbugs.gnu.org:


Received: (at 27555) by debbugs.gnu.org; 24 Nov 2021 01:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 20:32:17 2021
Received: from localhost ([127.0.0.1]:52569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mph8y-0004oR-Vw
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 20:32:17 -0500
Received: from mail-pj1-f45.google.com ([209.85.216.45]:56275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <duncan.roe2@HIDDEN>) id 1mph8w-0004o7-4x
 for 27555 <at> debbugs.gnu.org; Tue, 23 Nov 2021 20:32:14 -0500
Received: by mail-pj1-f45.google.com with SMTP id v23so1043563pjr.5
 for <27555 <at> debbugs.gnu.org>; Tue, 23 Nov 2021 17:32:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=DOCZtmB1Au/czx6H7+PxwcBzfj+k+hGz1Eh/EQoTXrg=;
 b=XiyRehktVFWsl5UEYmWnmtLoVyFdgXfyGx1RdPJmt2W8E3MwfNyDTch+c0iddJRD3B
 fRJRV12G7X9VJqA27pOpXwiRs7GiNANTGkuQtMsKU9mPC48NtP8WPsYu45YFdQjmovWj
 xGS0DFXO4Qta+UTJQtBfOYlkBpToHn/xcT4es7xkHQAb/h0+mf4Voqk8f4gbIvOOgHqc
 /CTck5Osh1YC/HSKb0Z7ZOYRtddyXMojpuTQBtNxFPIV24yxJQrLkBGKRbfR+8OiNhqI
 QBqgUqTaJYhDFHyoxPQf7GY3Dkfn4F5zRYOsV6WCtZuTYn6A65TE6hK5AOe2jn6g+br5
 KA+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-transfer-encoding;
 bh=DOCZtmB1Au/czx6H7+PxwcBzfj+k+hGz1Eh/EQoTXrg=;
 b=W05H1BFLW9GuSmxktDMu3iu5kj3AkeJysnAyDAl+SD7ySR3uEVofrXYt2zu1mhBU4K
 oy+5zIT1x9d7ow8SbkMGzt8lQTP2Gyo+VQPnH7cwnxGQNQDqfhRSAKZAwysRFCgzHDya
 jgjmgU8WOX759pVrzUGYfFEbHmejBVY+Y6Vj6lmEZWYjo5dio5IeoqgkfJDQ7i4seP3r
 2ZGscHB5eDfz2YAGDqAOa3+e5/4TbLUNYunqfY7G2xkAl/jY+3SFk6SkSZQfiSThQTto
 +BOhfKBekF7uDmRHLQx9Ufkt5Yd9w6olJYxsCfBTSGrEhDB1M6mHblJ3ctk4vl+dpQ/m
 47Tg==
X-Gm-Message-State: AOAM531PJyOuRUIKkMPtNGrSzeR2yUyfyzhLuaigwKW8zSeegtzvM7f2
 KJmbkf2Il7nke6Cs83ZodNQ=
X-Google-Smtp-Source: ABdhPJzEmOG7VT/44PCGkDPOHbfW+ryQTyiSUQk/nx+nuwohvCxT00eIe3l8PbUc7V02EpFR6gpz5w==
X-Received: by 2002:a17:90b:3509:: with SMTP id
 ls9mr9455363pjb.99.1637717528317; 
 Tue, 23 Nov 2021 17:32:08 -0800 (PST)
Received: from slk1.local.net (n110-23-108-30.sun3.vic.optusnet.com.au.
 [110.23.108.30])
 by smtp.gmail.com with ESMTPSA id h6sm14582432pfi.174.2021.11.23.17.32.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 23 Nov 2021 17:32:07 -0800 (PST)
From: Duncan Roe <duncan_roe@HIDDEN>
To: eggert@HIDDEN,
	27555 <at> debbugs.gnu.org
Subject: [PATCH 1/1] tests: make surrogate-pair pass under Cygwin
Date: Wed, 24 Nov 2021 12:31:43 +1100
Message-Id: <20211124013143.26727-2-duncan_roe@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
References: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27555
Cc: Duncan Roe <duncan_roe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* NEWS: Add to "Bug fixes" (3 bugs fixed)
* tests/surrogate-pair: Skip 3rd test if cygwin

Signed-off-by: Duncan Roe <duncan_roe@HIDDEN>
---
 NEWS                 | 4 ++++
 tests/surrogate-pair | 2 ++
 2 files changed, 6 insertions(+)

diff --git a/NEWS b/NEWS
index 5015580..e440932 100644
--- a/NEWS
+++ b/NEWS
@@ -16,6 +16,10 @@ GNU grep NEWS                                    -*- outline -*-
   The -s option no longer suppresses "binary file matches" messages.
   [Bug#51860 introduced in grep 3.5]
 
+  The last test in surrogate-pair would fail under Cygwin owing to a permanent
+  restriction. Skip this test so the rest of surrogate-pair passes.
+  [Bug#27555, Bug#49983, Bug#51698]
+
 
 * Noteworthy changes in release 3.7 (2021-08-14) [stable]
 
diff --git a/tests/surrogate-pair b/tests/surrogate-pair
index a91fa36..784b8f0 100755
--- a/tests/surrogate-pair
+++ b/tests/surrogate-pair
@@ -52,6 +52,8 @@ case $io_pair in
 esac
 
 # Also test whether a surrogate-pair in the search string works.
+# This never works under cygwin, so skip it there.
+[ "$(uname -s | cut -c1-6)" != CYGWIN ] || Exit $fail
 for opt in '' -i -E -F -iE -iF; do
   grep --file=in $opt in > out 2>&1 || fail=1
   compare out in || fail=1
-- 
2.17.5





Information forwarded to bug-grep@HIDDEN:
bug#27555; Package grep. Full text available.

Message received at 27555 <at> debbugs.gnu.org:


Received: (at 27555) by debbugs.gnu.org; 24 Nov 2021 01:32:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 20:32:09 2021
Received: from localhost ([127.0.0.1]:52566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mph8q-0004o6-Mr
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 20:32:08 -0500
Received: from mail-pg1-f180.google.com ([209.85.215.180]:34316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <duncan.roe2@HIDDEN>) id 1mph8n-0004nZ-8n
 for 27555 <at> debbugs.gnu.org; Tue, 23 Nov 2021 20:32:07 -0500
Received: by mail-pg1-f180.google.com with SMTP id 200so659112pga.1
 for <27555 <at> debbugs.gnu.org>; Tue, 23 Nov 2021 17:32:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=urT/lojIDEBCiTV8QzXucqohxGW3kcXPBQ1Rxj2cwi8=;
 b=HUYDRQcB96RTSg+9ANzxaTTX21qOsPYJH3ZsF2KAsEn52DVwHR+SyeL4zdJAIYDLsh
 /jDVqPUzJysbwM63B10qteMFDZhDhgIHNw63NGfc0vNesjLnEFD6P2y/g01UC7waJlIi
 CnvQZy87Qs4kEURSgsFQ98vjBJDoFXCTsqQA8KOyO80ocw36ah7nz8l7h9VxijOvIIjJ
 3uCBW9Ln2vUDov65ShSvHgapbgvbUfs5FDZn5ogjoGYwCa3lWBGTNkXaiku3w1m+tP41
 xxKIQz0/csNbg2sBNdD34LLqt6EygNZrpqMbN86eSPXTDiHpbPn6RT/DECm2rn4z7ywF
 BYzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-transfer-encoding;
 bh=urT/lojIDEBCiTV8QzXucqohxGW3kcXPBQ1Rxj2cwi8=;
 b=XqH0HEBEh8yIahezSZYQAcsUt0P7tGNWMeQKfl4av/14DLRRr89GIIOy8PCc/+k4sk
 8zdtl5oRV7om2UtkeVSRg2pTdvip2kncEKJlR+rJhCIxYQZ6Pt1FRp57nqDis8AuPeNn
 0YIasQ6C5G0+z4h5jbvnA690CnOjML6JjgQOsBOmDIwWtxtT4LKFbw+3VPXOAAS672vJ
 FJ/Ea+PtzYa9hbtLXifk0vFXBnxETq8B0EcUZYlFOgQ9Xrz65CrsCvrFiaRoTYprHpVQ
 ElrxtoDFpxxcxWsVgy1j69DPSJg3sfx/OW0IYmKmTQJPA2EQRwN7hBuSkqdtHjS7FPpn
 re/Q==
X-Gm-Message-State: AOAM5305IPixg5QJBXBwPbG2aWgKRYQRm1Jc0qtjgppQsDUDvPJFAryR
 5Qq12MsUYO6my3L+vbSjvZU=
X-Google-Smtp-Source: ABdhPJxf/psZNLW6m5c/iQUhXKKWyzu3rvGvivfKQ3VATwXlbhqy9zLj2oNewD8/ivUf8iEJabSHew==
X-Received: by 2002:aa7:96b7:0:b0:49f:df90:e4ae with SMTP id
 g23-20020aa796b7000000b0049fdf90e4aemr2119988pfk.24.1637717519327; 
 Tue, 23 Nov 2021 17:31:59 -0800 (PST)
Received: from slk1.local.net (n110-23-108-30.sun3.vic.optusnet.com.au.
 [110.23.108.30])
 by smtp.gmail.com with ESMTPSA id h6sm14582432pfi.174.2021.11.23.17.31.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 23 Nov 2021 17:31:58 -0800 (PST)
From: Duncan Roe <duncan_roe@HIDDEN>
To: eggert@HIDDEN,
	27555 <at> debbugs.gnu.org
Subject: Re: bug#27555: cygwin surrogate-pair test now fails
Date: Wed, 24 Nov 2021 12:31:42 +1100
Message-Id: <20211124013143.26727-1-duncan_roe@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
References: <08d1b816-7760-e839-66cd-15232a6115e4@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27555
Cc: Duncan Roe <duncan_roe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Patch is in the next email. Here is a comparison between surrogate-pair.log
under Linux and Cygwin (only the relevant part of the diff)

*** 145,217 ****
  + case $io_pair in
  ++ cut -c1-6
  ++ uname -s
! + '[' Linux '!=' CYGWIN ']'
! + for opt in ''\'''\''' -i -E -F -iE -iF
! + grep --file=in in
! + compare out in
! + compare_dev_null_ out in
! + test 2 = 2
! + test xout = x/dev/null
! + test xin = x/dev/null
! + return 2
! + case $? in
! + compare_ out in
! + diff -u out in
! + for opt in ''\'''\''' -i -E -F -iE -iF
! + grep --file=in -i in
! + compare out in
! + compare_dev_null_ out in
! + test 2 = 2
! + test xout = x/dev/null
! + test xin = x/dev/null
! + return 2
! + case $? in
! + compare_ out in
! + diff -u out in
! + for opt in ''\'''\''' -i -E -F -iE -iF
! + grep --file=in -E in
! + compare out in
! + compare_dev_null_ out in
! + test 2 = 2
! + test xout = x/dev/null
! + test xin = x/dev/null
! + return 2
! + case $? in
! + compare_ out in
! + diff -u out in
! + for opt in ''\'''\''' -i -E -F -iE -iF
! + grep --file=in -F in
! + compare out in
! + compare_dev_null_ out in
! + test 2 = 2
! + test xout = x/dev/null
! + test xin = x/dev/null
! + return 2
! + case $? in
! + compare_ out in
! + diff -u out in
! + for opt in ''\'''\''' -i -E -F -iE -iF
! + grep --file=in -iE in
! + compare out in
! + compare_dev_null_ out in
! + test 2 = 2
! + test xout = x/dev/null
! + test xin = x/dev/null
! + return 2
! + case $? in
! + compare_ out in
! + diff -u out in
! + for opt in ''\'''\''' -i -E -F -iE -iF
! + grep --file=in -iF in
! + compare out in
! + compare_dev_null_ out in
! + test 2 = 2
! + test xout = x/dev/null
! + test xin = x/dev/null
! + return 2
! + case $? in
! + compare_ out in
! + diff -u out in
  + Exit 0
  + set +e
  + exit 0
--- 123,129 ----
  + case $io_pair in
  ++ cut -c1-6
  ++ uname -s
! + '[' CYGWIN '!=' CYGWIN ']'
  + Exit 0
  + set +e
  + exit 0

Duncan Roe (1):
  tests: make surrogate-pair pass under Cygwin

 NEWS                 | 4 ++++
 tests/surrogate-pair | 2 ++
 2 files changed, 6 insertions(+)

-- 
2.17.5





Information forwarded to bug-grep@HIDDEN:
bug#27555; Package grep. Full text available.
Merged 27555 51698. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2017 15:57:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 02 11:57:34 2017
Received: from localhost ([127.0.0.1]:48942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dRhFe-0006Le-Bw
	for submit <at> debbugs.gnu.org; Sun, 02 Jul 2017 11:57:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1dRhFa-0006LN-Tf
 for submit <at> debbugs.gnu.org; Sun, 02 Jul 2017 11:57:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1dRhFU-0001ko-PE
 for submit <at> debbugs.gnu.org; Sun, 02 Jul 2017 11:57:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42350)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1dRhFU-0001ki-M5
 for submit <at> debbugs.gnu.org; Sun, 02 Jul 2017 11:57:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48983)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1dRhFT-0007J7-DR
 for bug-grep@HIDDEN; Sun, 02 Jul 2017 11:57:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1dRhFS-0001k8-Di
 for bug-grep@HIDDEN; Sun, 02 Jul 2017 11:57:23 -0400
Received: from mail-ua0-x236.google.com ([2607:f8b0:400c:c08::236]:34134)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1dRhFS-0001jl-9W
 for bug-grep@HIDDEN; Sun, 02 Jul 2017 11:57:22 -0400
Received: by mail-ua0-x236.google.com with SMTP id z22so97906392uah.1
 for <bug-grep@HIDDEN>; Sun, 02 Jul 2017 08:57:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:from:date:message-id:subject:to:cc;
 bh=iMZg3f6huup8UDFw2xRmwsQJF2re4AzbNDk+39Sawdo=;
 b=HxNXrNGK9rT/TQdobkWs7gV4g0sNhlRXaOBq1EMIklmxvLQAFE5WwJwLd5/cbegm19
 Hy7FKsWbSCylKybh4Q3NeAoGpOBOeOAmGSQmc6Xl5Cea3J20dysMRjN0faAVF/OUY4AV
 YnPLYk9p/tB3senMxT2yXDHvnvswyZRaMS1e5W6NsdO3xzIvwy4qwlgK2rTteY3eSO8N
 sEClypeyjZOXhnssc0ObQucu73EVKmJVyYtbV4EMD46rxTmA1yOeFmsXBtGh70h+NpjK
 5D1EZqNjzZO4oWjadD7jre/Kdu+vMDP/WIPyX4eCkXwjvkzNZ++KjoqzL6i4SOIdk8OK
 I0Fg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to:cc;
 bh=iMZg3f6huup8UDFw2xRmwsQJF2re4AzbNDk+39Sawdo=;
 b=j65BWRcw4hu2HewcMWg6rjDxa+tpoMjtFgIbApCXDlkLixS9XGxvQEDC8ubCS4iKgp
 H9+5wWlIyeSDO3umQiZuJKbVcNxjPQ3Qn2iQlvGihzK/SoTs1WRkBcz2hlSr+SnpSc2u
 Y9YvF4bbZ9uJul1x3/KiPw6RpTZPU07uKPxdhRFxoQmCWRw/A9d7m7kqqbwKngI54RDg
 WSY9IWSsOeTvb2Tk72pZiG59dt+DSAz79dKZy+RbXDyl455qJS6c48wdNkTUUuDzgZnR
 6gd9UxAorOsLQOjRC+UrEthR6/gWoDdcWczTfHcfA5ILbadK8HnrRDeHiTvoK1veJ7zS
 OJDw==
X-Gm-Message-State: AKS2vOxXvLthHEIcu2Zb/xzMPxQ6C8aT2GKt1V2H/czJq9Gd0KsngD0E
 SGT9qs1b1tLl7zd0usnnrEX9RApvfg==
X-Received: by 10.176.90.201 with SMTP id x9mr6416383uae.129.1499011041558;
 Sun, 02 Jul 2017 08:57:21 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.176.66.68 with HTTP; Sun, 2 Jul 2017 08:57:00 -0700 (PDT)
From: Jim Meyering <jim@HIDDEN>
Date: Sun, 2 Jul 2017 08:57:00 -0700
X-Google-Sender-Auth: IkA64zsGTY8DVs2eEj8oTldlTMM
Message-ID: <CA+8g5KGYn10i51hatv3p9HKNAb8Vd4-dUpVFkANqyJ1SG+yoWQ@HIDDEN>
Subject: cygwin surrogate-pair test now fails (since grep-2.22,
 and no one noticed)
To: Aharon Robbins <arnold@HIDDEN>, bug-grep@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
Cc: Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.6 (------)

On Sun, Jul 2, 2017 at 12:11 AM,  <arnold@HIDDEN> wrote:
> Jim Meyering <jim@HIDDEN> wrote:
>
>> On Fri, Jun 30, 2017 at 12:55 AM,  <arnold@HIDDEN> wrote:
>> > Jim Meyering <jim@HIDDEN> wrote:
>> >
>> >> > Do you still want the log? If so I'll send it...
>> >>
>> >> Yes, please, in case it's easy to fix.
>> >
>> > Attached. Thanks!
>>
>> Thanks.
>> I've determined the cause, at least. The sole caller of mbstoupper
>> (which contained the relevant __CYGWIN__-specific
>> surrogate-pair-handling code) was removed by the improvements of
>> v2.21-63-g8a33cde, and not long after, I noticed that mbstoupper was
>> no longer used, so removed it altogether.
>>
>> Since this affects surrogate-pairs only on cygwin, I'm not going to do
>> anything about this prior to release. After release, I'll make that
>> test skip or maybe even remove it altogether.
>
> OK, glad the log was helpful. In the future I will try to remember to
> send it along if I see failures.
>
> Do you want to document this cygwin issue as a known issue somewhere? :-)

Sure. I've adjusted the subject and added bug-grep@ so we get an
auto-assigned issue number in the tracker.




Acknowledgement sent to Jim Meyering <jim@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#27555; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Nov 2021 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.